Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class StreamJDBCAdapter

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
          org.codehaus.activemq.store.jdbc.adapter.StreamJDBCAdapter

All Implemented Interfaces:
  JDBCAdapter

public class StreamJDBCAdapter
extends DefaultJDBCAdapter

This JDBCAdapter inserts and extracts BLOB data using the setBinaryStream()/getBinaryStream() operations. The databases/JDBC drivers that use this adapter are:

- Axion

Version:
  $Revision: 1.1 $

Nested Class Summary

Nested classes inherited from class org.codehaus.activemq.store.jdbc.JDBCAdapter
`JDBCAdapter.MessageListResultHandler`

Field Summary

Fields inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`sequenceGenerator, statementProvider`

Constructor Summary
`StreamJDBCAdapter()`
`StreamJDBCAdapter(StatementProvider provider)`

Method Summary
`protected byte[]` | `getBinaryData(java.sql.ResultSet rs, int index)`
`protected void` | `setBinaryData(java.sql.PreparedStatement s, int index, byte[] data)`

Methods inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`doAddMessage, doAddXid, doCreateTables, doGetMessage, doGetSubscriberEntry, doGetXids, doLoadPreparedTransactions, doRecover, doRecoverSubscription, doRemoveMessage, doRemoveXid, doSetLastAck, doSetSubscriberEntry, getSequenceGenerator, initSequenceGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamJDBCAdapter

    public StreamJDBCAdapter()

### StreamJDBCAdapter

    public StreamJDBCAdapter(StatementProvider provider)

Method Detail

### getBinaryData

    protected byte[] getBinaryData(java.sql.ResultSet rs,
                                   int index)
                            throws java.sql.SQLException

  Overrides:
    `getBinaryData` in class `DefaultJDBCAdapter`
  Throws:
    `java.sql.SQLException`
  See Also:
    `DefaultJDBCAdapter.getBinaryData(java.sql.ResultSet, int)`

### setBinaryData

    protected void setBinaryData(java.sql.PreparedStatement s,
                                 int index,
                                 byte[] data)
                          throws java.sql.SQLException

  Overrides:
    `setBinaryData` in class `DefaultJDBCAdapter`
  Throws:
    `java.sql.SQLException`
  See Also:
    `DefaultJDBCAdapter.setBinaryData(java.sql.PreparedStatement, int, byte[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.